/**This script file creates histograms for each school year of the distribution of school-level enrollment divided by school-level capacity**/

global path = "D:\RAwork\Akshaya\Dropbox\SCP\"

insheet using "${path}data\capacity_measure2.csv", comma clear

rename xx enroll04

rename xy enroll05

rename v7 enroll06

rename v9 enroll07


foreach i in 04 05 06 07{
	gen prop_enroll`i' = enroll`i'/capacity

	replace prop_enroll`i' = . if prop_enroll`i'==0

	hist prop_enroll`i', percent title("Enrollment/Capacity By School: 20`i'")

	graph export "${path}results\propenroll`i'.pdf", as(pdf) replace

}

