/*This script creates summary statistics over the student-level data-set for each school year*/

global path = "D:\RAwork\Akshaya\Dropbox\SCP\"

foreach i in 04 05 06 07{
	insheet using "${path}data\obsData`i'.csv", comma clear
	rename v1 randsid 
	rename v2 school_code_x 
	rename v3 grade 
	rename v4 clunchcode 
	rename v5 cracecode 
	rename v6 raceOther 
	rename v7 MHI 
	rename v8 MHHV  
	rename v10 movingInd 
	rename v11 repeatInd 
	rename v12 magnetAppInd 
	rename v13 overSub 
	rename v14 everGiftedInd 
	rename v15 everSpecEdInd 
	rename v16 school_code_y
	rename v17 drivingTimes
	rename v18 ind_achievement
	
	drop if grade>8
	
	gen constant = 1
	egen total_students = total(constant)
	egen total_public_private_students = total( school_code_x < 92)
	egen total_public_students = total( school_code_x <= 85)
	egen total_FRL = total(clunchcode)
	egen total_Black = total(cracecode)
	egen total_White = total((cracecode==0) & (raceOther==0))
	egen total_Other = total(raceOther)	
	egen total_moving = total(movingInd)	
	
	sum total_* drivingTimes ind_achievement
}
