function [fval,gradient] = datamerge(gamma,utilityData04,utilityData05,utilityData06,utilityData07,schoolQuality04,schoolQuality05,schoolQuality06,schoolQuality07,J04,J05,J06,J07);
%%Aggregating the negative log-likelihood and gradient over the four school years in the data 

%Reading in school-level variables
[fval04,gradient04] = dataread2(utilityData04,gamma,schoolQuality04);
[fval05,gradient05] = dataread2(utilityData05,gamma,schoolQuality05);
[fval06,gradient06] = dataread2(utilityData06,gamma,schoolQuality06);
[fval07,gradient07] = dataread2(utilityData07,gamma,schoolQuality07);

%%Simply summing up the function values and gradient values for each school year
fval = fval04 + fval05 + fval06 + fval07;
gradient = gradient04 + gradient05 + gradient06 + gradient07;
