function probLog2 = yeardata5(gamma,regressors,varMat,choiceInd,responseMatrix,groupRand,randsidGroup,T,J,J2,J3,R1,R2);
%%%This script creates a matrix of probabilities for a given school year: rows correspond to students while columns correspond to schools.  
%%%An (i,j) entry is the probability student i chooses to attend school j

%%Calculating the conditional probability for a given school year for all possible values of the random coefficients
probLog = randLogQuadYearNum(gamma,regressors,varMat,choiceInd,responseMatrix,T,J,J2,J3,R1,R2);

k = max(size(gamma));

%%Updating probabilities for students in sample (and leaving the value as one for students not in the sample)
probLog2 = ones(T,J2,R1*R2);

probLog2(ismember(randsidGroup,groupRand),:,:) = probLog(ismember(randsidGroup,groupRand),:,:);
clear probLog

end