function W_numClosed = obj_func_create_numClosed(probLogBaseline,weight_schools);
	%%This script file calculates the "dislocation" based objective function for a given sorting equilibrium (shadow prices, peer characteristics and schools closed)

	[T,J] = size(probLogBaseline);
    J7 = J-7;
	weight_schools = reshape(weight_schools(4*J + (1:J7)),[1 J7]); %%Creating which schools are closed versus open
    school_enroll = sum(probLogBaseline); %Creating school-level enrollment
    school_enroll = school_enroll(1:J7);
    
	W_numClosed = -sum(school_enroll.*weight_schools); %%Minimizing number of students closed upon
end
