function W_numOutsideOption = obj_func_create_numOutsideOption(utilityData,gamma,beta_second_stage,residuals,schoolQuality,shadow_price,capacity_68);
%%This script file calculates the "retention" based objective function for a given sorting equilibrium (shadow prices, peer characteristics and schools closed)

%%Calculating conditional logit probabilities
probLog= dataread_closed(utilityData,gamma,beta_second_stage,residuals,schoolQuality,shadow_price,capacity_68);

[T,J] = size(probLog);

W_numOutsideOption = sum(sum(probLog(:,(J-6):J))); %%Minimizing number of students leaving public schools
end
