%%Creating summary statistics for post-closing sorting eqm. using initial peer characteristics = 1 for school prop. of students receiving FRL and school prop. of Black students

%%Setting initial peer characteristics to one for school prop. of students receiving FRL and school prop. of Black students
thetaB2 = thetaB;
thetaB2(J05 + (1:J05)) = 1;
thetaB2(2*J05 + (1:J05)) = 1;

%%Finding a sorting equilibrium (shadow prices, peer characteristics) using these initial values
[shadow_price,school_FRL_new2,school_Black_new2,school_Ability_new2,school_susp_new2,tol] = dataread_NFP_closed_int(weight_schools,subsample305,gamma05,beta_second_stage05,residuals05,schoolQuality052,capacity05,capClosed,thetaB2);
theta_temp = [reshape(shadow_price,[J05 1]);reshape(school_FRL_new2,[J05 1]);reshape(school_Black_new2,[J05 1]);reshape(school_Ability_new2,[J05 1]);reshape(school_susp_new2,[J05 1])];
theta_temp = [theta_temp;reshape(weight_schools,[J05 1])];

st = summary_stats(subsample305,gamma05,beta_second_stage05,residuals05,schoolQuality052,theta_temp);

cd(strcat(path,'/results/'));
filename_sum = horzcat('summary_stats_',obj_name((-1:0) + 2*type),'_',num2str(loopnum),'05_68_four_schools1.csv');
csvwrite(filename_sum,st)

%%Creating summary statistics calculating baseline probabilities using ths sorting eqm. calculated setting initial peer characteristics = 1 for school prop. of students receiving FRL and school prop. of Black students
%%Baseline = These do not account for student sorting after the schools are closed

%%Finding a pre-closing, baseline sorting equilibrium (shadow prices, peer characteristics) using these initial values
[shadow_price,school_FRL_new2,school_Black_new2,school_Ability_new2,school_susp_new2,tol] = dataread_NFP_closed_int(ones(J05,1),subsample305,gamma05,beta_second_stage05,residuals05,schoolQuality052,capacity05,capClosed,thetaB2);
theta_temp = [reshape(shadow_price,[J05 1]);reshape(school_FRL_new2,[J05 1]);reshape(school_Black_new2,[J05 1]);reshape(school_Ability_new2,[J05 1]);reshape(school_susp_new2,[J05 1])];
theta_temp = [theta_temp;reshape(weight_schools,[J05 1])];

stb = summary_stats_baseline(subsample305,gamma05,beta_second_stage05,residuals05,schoolQuality052,probLogBaseline05,thetaB2);

filename_sum = horzcat('summary_stats_',obj_name((-1:0) + 2*type),'_',num2str(loopnum),'baseline_05_68_four_schools1.csv');
csvwrite(filename_sum,stb)